Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 7228)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 7229)
@@ -106,4 +106,5 @@
 
   </fieldset>
+
   </table>
 
@@ -145,5 +146,11 @@
 
   </fieldset>
-  </table>
+ </table>
+ <table>
+  <tr><td style="visibility:visible">{'cl_autosize_icon_view'|@translate}
+         <input type="checkbox" name="check_icon_v" value="on"  {$check_icon_v}  />
+  </td><td></td><td></td></tr>
+</table>
+ 
   <table>
   <td><input name="submit" type="submit" value="{'cl_autosize_save'|@translate}" /></td>
Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7228)
+++ /extensions/Autosize/autosize.inc.php	(revision 7229)
@@ -41,5 +41,5 @@
 				$autosize_parametres = cl_autosize_Get_Options();
 				include (AUTOSIZE_PATH."include/affiche.php"); 	 
-
+				if($autosize_parametres->check_icon_v == 'on'){
 				$template->assign('cl_autosize_button', 
 				 array(
@@ -54,5 +54,5 @@
 				$template->set_filenames(array('cl_bp' => $my_path. 'template/picture.tpl'));
 				$template->concat('PLUGIN_PICTURE_ACTIONS', $template->parse('cl_bp', true));
-
+				}
 				$template->set_filenames(
 						array('autosize_content'=> $my_path.'template/autosize.tpl')
@@ -235,5 +235,9 @@
    $autosize_parametres->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : ( ( isset($autosize_parametres->check_auto_w) ) ? $autosize_parametres->check_auto_w :   'off') ; ;
    }
-
+if ( isset($_POST['submit'] ) && $_POST['submit'] == l10n('cl_autosize_save') )  { 
+   $autosize_parametres->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : "off" ;
+	 }else{
+   $autosize_parametres->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : ( ( isset($autosize_parametres->check_icon_v) ) ? $autosize_parametres->check_icon_v :   'off') ; ;
+   }
 return $autosize_parametres;
 }
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 7228)
+++ /extensions/Autosize/include/affiche.php	(revision 7229)
@@ -25,5 +25,6 @@
                     'ECHELLE_MAX' => $autosize_parametres->echelle_max,
                     'check_auto_w' => ($autosize_parametres->check_auto_w == 'on') ? 'checked="checked"'  : '' ,
-                    'webmaster_width' => $autosize_parametres->webmaster_width,
+                    'check_icon_v' => ($autosize_parametres->check_icon_v == 'on') ? 'checked="checked"'  : '' ,
+					'webmaster_width' => $autosize_parametres->webmaster_width,
                     'webmaster_height' => $autosize_parametres->webmaster_height,
                     'admin_width' => $autosize_parametres->admin_width,
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7228)
+++ /extensions/Autosize/js/conflit.js	(revision 7229)
@@ -160,5 +160,22 @@
      //==================================================
      tpe = typeof (element);
-    
+      if (Prototype_Version != '0') {
+          if (tpe == "string") {   
+           //=== rvmaps === //
+              if (element.match(/[a-z]_[a-z]/)) {
+                  
+                  return jQuery().$Protype(element);
+              }
+          id = "window_" + new Date().getTime();
+              var reg1 = new RegExp("^window_", "g");
+              if (element.match(reg1, "g")) {
+                  
+                  if (element.match(/_[a-z]/)) {
+                      return jQuery().$Protype(element);
+                  }
+                  return null;
+              }
+          }
+     }
     //========== test jQuery ? ==============
 
@@ -245,4 +262,5 @@
         if (MooTools_version == "Luciano")  return ret_Luciano;
         //=== theme gally ? ====
+        
             return new_element;
         }
Index: /extensions/Autosize/language/en_UK/lang.php
===================================================================
--- /extensions/Autosize/language/en_UK/lang.php	(revision 7228)
+++ /extensions/Autosize/language/en_UK/lang.php	(revision 7229)
@@ -1,4 +1,5 @@
 <?php
 global $lang;
+$lang['cl_autosize_icon_view'] = "Show an icon in the toolbar";
 $lang['cl_autosize_info_2'] = "No resizing Display.";
 $lang['cl_autosize_info'] = 'Allows automatic resizing of the display with respect to explorer window.';
Index: /extensions/Autosize/language/fr_FR/lang.php
===================================================================
--- /extensions/Autosize/language/fr_FR/lang.php	(revision 7228)
+++ /extensions/Autosize/language/fr_FR/lang.php	(revision 7229)
@@ -1,4 +1,5 @@
 <?php
 global $lang;
+$lang['cl_autosize_icon_view'] = "Affiche une icône dans la barre d'outils";
 $lang['cl_autosize_info'] = "Permet d'ajuster automatiquement l'affichage en fonction de la fenêtre de l'explorateur.";
 $lang['cl_autosize_info_2'] = "Affichage fixe.";
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7228)
+++ /extensions/Autosize/main.inc.php	(revision 7229)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.1.0
+Version: 1.2.1
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448