Index: /branches/2.1/language/he_IL/admin.lang.php
===================================================================
--- /branches/2.1/language/he_IL/admin.lang.php	(revision 7232)
+++ /branches/2.1/language/he_IL/admin.lang.php	(revision 7233)
@@ -28,6 +28,6 @@
 $lang['%d physical'] = 'פיזי %d';
 $lang['%d physical'] = 'פיזי %d';
-$lang['and %d virtual'] = 'ו %d וירטואלי';
-$lang['and %d virtual'] = 'ו %d וירטואלים';
+$lang[' and %d virtual'] = 'ו %d וירטואלי';
+$lang[' and %d virtual'] = 'ו %d וירטואלים';
 $lang['%d category moved'] = '%d קטגוריה עברה';
 $lang['%d categories moved'] = '%d קטגוריות עברו';
@@ -66,5 +66,5 @@
 $lang['Categories authorized thanks to group associations'] = 'הקטגוריה מאושרת אודות לקבוצת האסוציאציות';
 $lang['Categories manual order was saved'] = 'סדר הקטגוריות נשמר';
-$lang['Category elements associated to the following categories: "%s"'] = 'הפריטים בקטגוריה משוייכים לקטגוריה "%s"';
+$lang['Category elements associated to the following categories: %s'] = 'הפריטים בקטגוריה משוייכים לקטגוריה "%s"';
 $lang['Check for upgrade failed for unknown reasons.'] = 'בדוק אם השדרוג נכשל מסיבות לא ידועות.';
 $lang['Check for upgrade'] = 'חפש עדכונים שדרוגים';
@@ -132,7 +132,7 @@
 $lang['Path'] = 'נתיב';
 $lang['Permalink'] = 'קישורית'; 
-$lang['Permalink "%s" "has been previously used by category "%s". Delete from the permalink history first'] = 'השתמשו בעבר ב Permalink "%s" "זה עבור הקטגוריה "%s". מחק אותו ההסטוריה של permalink';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'השתמשו בעבר ב Permalink "%s" "זה עבור הקטגוריה "%s". מחק אותו ההסטוריה של permalink';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'השם Permalink חייב להיות מורכב a-z, A-Z, 0-9, "-", "_" או "/".הוא חייב לא להיות מספרי או להתחיל עם מספר "-"';
-$lang['Permalink "%s" "is already used by category "%s"'] = 'Permalink "%s" "נמצא כבר בשימוש על ידי הקטגוריה "%s"';
+$lang['Permalink %s is already used by category %s'] = 'Permalink "%s" "נמצא כבר בשימוש על ידי הקטגוריה "%s"';
 $lang['Permalink history'] = 'ההיסטוריה Permalinks';
 $lang['Permalinks'] = 'Permalinks';
@@ -228,5 +228,5 @@
 $lang['File'] = 'קובץ';
 $lang['Filesize'] = 'גודל הקובץ';
-$lang['first element added on "%s"'] = 'הפריט הראשון התווסף ב"%s "';
+$lang['first element added on %s'] = 'הפריט הראשון התווסף ב"%s "';
 $lang['Forbidden'] = 'אסורה';
 $lang['global mode'] = 'מצב גלובלי';
@@ -235,5 +235,5 @@
 $lang['group "%s" updated'] = 'הקבוצה "%s"" הועלתה';
 $lang['group'] = 'קבוצה';
-$lang["The name of a group must not contain Marhaut or ' or be empty."] = "שם של קבוצה לא יכול להכיל מרחאות או ' או להיות ריק";
+$lang['The name of a group must not contain " or \' or be empty.'] = "שם של קבוצה לא יכול להכיל מרחאות או ' או להיות ריק";
 $lang['This name is already used by another group.'] = 'שם זה נמצא כבר בשימוש על ידי קבוצה אחרת.'; 
 
@@ -276,6 +276,6 @@
 $lang['With blank value, gallery title will be used'] = 'אם ריק, הכותרת בגלריה ישמש';
 $lang['Notification'] = 'עידכוני RSS';
-$lang['Error when sending email to "%s" "["%s"].'] = 'שגיאה בעת שליחת דוא"ל אל""%s" "["%s"].';
-$lang['Mail sent to "%s" "["%s"].'] = 'דואר שנשלח""%s" "["%s"].';
+$lang['Error when sending email to %s [%s].'] = 'שגיאה בעת שליחת דוא"ל אל""%s" "["%s"].';
+$lang['Mail sent to %s [%s].'] = 'דואר שנשלח""%s" "["%s"].';
 $lang['%d mail was sent.'] = 'ד הדואר% נשלחה.';
 $lang['%d mails were sent.'] = 'ד אלקטרוני% נשלחו.';
@@ -310,11 +310,11 @@
 $lang['%d user was not updated.'] = 'המשתמש% d לא מעודכן.';
 $lang['%d users were not updated.'] = 'ד למשתמשים% לא מעודכן.';
-$lang['User "%s" "["%s"] was removed from the subscription list.'] = 'המשתמש""%s" "["%s"] מרשימת המנויים.';
-$lang['User "%s" "["%s"] was added to the subscription list.'] = 'המשתמש""%s" "["%s"] לרשימת המנויים.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'המשתמש""%s" "["%s"] מרשימת המנויים.';
+$lang['User %s [%s] was added to the subscription list.'] = 'המשתמש""%s" "["%s"] לרשימת המנויים.';
 $lang['%d user was updated.'] = 'ד המשתמש% המעודכן.';
 $lang['%d users were updated.'] = 'ד למשתמשים% המעודכן.';
-$lang['User "%s" "["%s"] was not removed from the subscription list.'] = 'המשתמש""%s" "["%s"] לא יוסר מרשימת המנויים.';
-$lang['User "%s" "["%s"] was not added to the subscription list.'] = 'המשתמש""%s" "["%s"] לא הוסיף לרשימה המנוי.';
-$lang['User "%s" "["%s"] added.'] = 'המשתמש""%s" "["%s"] הוסיף.';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'המשתמש""%s" "["%s"] לא יוסר מרשימת המנויים.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'המשתמש""%s" "["%s"] לא הוסיף לרשימה המנוי.';
+$lang['User %s [%s] added.'] = 'המשתמש""%s" "["%s"] הוסיף.';
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'אזהרה: מנוי או ביטול המנוי תשלח מיילים למשתמשים';
 $lang['Send mail on HTML format'] = 'שלח דואר בתבנית HTML';
@@ -443,5 +443,5 @@
 $lang['Waiting'] = 'בהמתנה';
 $lang['default'] = 'ברירת המחדל';
-$lang["Toggle 'default group' property'"] = "תייג 'קבוצת ברירת מחדל' ערך";
+$lang['Toggle \'default group\' property'] = "תייג 'קבוצת ברירת מחדל' ערך";
 $lang['Advanced features'] = 'תכונות מתקדמות';
 $lang['Not linked elements'] = 'מרכיבים לא מקושרים';
@@ -465,5 +465,5 @@
 $lang['Send an information email to group members'] = 'שלח הודעת דואר אלקטרוני מידע על חברי הקבוצה';
 $lang['Group'] = 'הקבוצה';
-$lang['["%s"] Come to visit the category "%s"'] = '["%s"] בקר% בקטגוריה של';
+$lang['%s value is not correct file because exif are not supported'] = '["%s"] בקר% בקטגוריה של';
 $lang['Hello,'] = 'שלום,';
 $lang['See you soon.'] = 'נתראה בקרוב.';
@@ -501,9 +501,9 @@
 $lang['%d anomaly has not been corrected.'] = '%d תריגה לא תוקנה.';
 $lang['%d anomalies have not been corrected.'] = '%d חריגות לא תוקנו.';
-$lang['Go to "%s" "or "%s" "for more informations'] = 'עבור אל "%s" או "%s" למידע';
+$lang['[%s] Come to visit the category %s'] = 'עבור אל "%s" או "%s" למידע';
 $lang['the forum'] = 'הפורום';
 $lang['the wiki'] = 'המילון';
-$lang['"%s" value is not correct file because exif are not supported'] = 'הערך "%s" חייב להיות מדוייק כיוון שלא ניתן להשתמש ב exif';
-$lang['"%s" must be to set to false in your local/config/config.inc.php file'] = '"%s" "חייב להיות מוגדר שווא בקובץ המקומי שלך / / config config.inc.php';
+$lang['Go to %s or %s for more informations'] = 'הערך "%s" חייב להיות מדוייק כיוון שלא ניתן להשתמש ב exif';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '"%s" "חייב להיות מוגדר שווא בקובץ המקומי שלך / / config config.inc.php';
 $lang['Main "guest" user does not exist'] = 'המשתמש "אורח" לא קיים';
 $lang['Main "guest" user status is incorrect'] = 'הסטטוס של ה"אורח" לא נכון';
@@ -552,5 +552,5 @@
 $lang['Are you sure you want to install this plugin?'] = 'האם אתה בטוח שאתה רוצה להתקין את התוסף הזה?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'האם אתה בטוח שאתה רוצה להתקין את השדרוג, עליך לוודא אם הגרסה הזאת לא צריך ההסרה לפני?.';
-$lang['"%s" "has been successfully upgraded.'] = '"%s" "שודרג בהצלחה.';
+$lang['%s has been successfully upgraded.'] = '"%s" "שודרג בהצלחה.';
 $lang['Plugin has been successfully copied'] = 'תוסף הועתקה בהצלחה';
 $lang['You might go to plugin list to install and activate it.'] = 'עבור אל רשימת התוספים להתקין ולהפעיל אותו.';
@@ -558,5 +558,5 @@
 $lang["Can't download archive."] = 'ארכיון לא ניתן להוריד.';
 $lang["Can't read or extract archive."] = 'ארכיון לא ניתן לקרוא או חילוץ.';
-$lang['An error occured during extraction ("%s").'] = 'אירעה שגיאה במהלך קבצים ("%s") החילוץ.';
+$lang['An error occured during extraction (%s).'] = 'אירעה שגיאה במהלך קבצים ("%s") החילוץ.';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'בבקשה בדוק את ההרשאות לתיקיה "plugins" ולתת תיקיות שלה (CHMOD)';
 $lang["Can't connect to server."] = 'החיבור לשרת בלתי אפשרי.';
@@ -577,5 +577,5 @@
 $lang['Piwigo version'] = 'הגרסה Piwigo';
 $lang['You are running the latest version of Piwigo.'] = 'אתה מפעיל את הגירסה העדכנית Piwigo.';
-$lang['The version of "%s" "["%s"] installed is not compatible with the version required ["%s"]'] = 'הגרסה של""%s" "["%s"] התקנת אינו תואם לגרסה הנדרש ["%s"]';
+$lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'הגרסה של""%s" "["%s"] התקנת אינו תואם לגרסה הנדרש ["%s"]';
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'אתה צריך לשדרג את המערכת שלך כדי לנצל את מלוא היתרונות של הבקשה, אחרת הבקשה יכול לעבוד כראוי, או בכלל לא';
 $lang['Deleted on'] = 'נמחק על';
@@ -615,6 +615,6 @@
 $lang['Piwigo Announcements Newsletter'] = 'עלון Piwigo';
 $lang["Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it's important to know and upgrade) and when major events happen to the project. Only a few emails a year."] = 'שמור על קשר עם פרויקט Piwigo, ההירשם לעלון של Piwigo. תישלח אליך הודעות דוא"ל כאשר מהדורה חדשה תיהיה זמינה (לפעמים כולל תיקון באג אבטחה, חשוב לדעת ולשדרג) וכאשר ישנם אירועים מרכזיים הפרויקט. רק כמה הודעות דוא"ל בשנה ';
-$lang['Subscribe "%s"'] = 'הירשם "%s"';
-$lang['Subscribe "%s" "to Piwigo Announcements Newsletter'] = 'הרשם""%s" "כדי Piwigo עלון הכרזות';
+$lang['Subscribe %s'] = 'הירשם "%s"';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'הרשם""%s" "כדי Piwigo עלון הכרזות';
 $lang['Purge search history'] = 'נקה את היסטורית החיפוש';
 $lang['Hide'] = 'הסתר';
@@ -692,6 +692,6 @@
 $lang['Get Support on Piwigo Forum'] = 'קבל תמיכה בפורום Piwigo ';
 $lang['Help Me'] = 'עזור לי';
-$lang['Impossible to activate this theme, the parent theme is missing: "%s"'] = 'נושא זה לא יכול להיות מופעל, כפי הנושא הורה חסר:"%s" "';
-$lang['Impossible to delete this theme. Other themes depends on it: "%s"'] = 'נושא זה לא ניתן למחוק, כי נושאים אחרים תלוי בו:"%s" "';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'נושא זה לא יכול להיות מופעל, כפי הנושא הורה חסר:"%s" "';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'נושא זה לא ניתן למחוק, כי נושאים אחרים תלוי בו:"%s" "';
 $lang['Inactive Themes'] = 'נושאים פעילים';
 $lang['Install on your computer,'] = 'להתקין במחשב שלך,';
@@ -734,5 +734,5 @@
 $lang['Missing Plugins'] = 'תוספים חסרים';
 $lang['Uninstalled Plugins'] = 'תוספים הוסר';
-$lang['By "%s"'] = 'הועלה ע"י "%s"';
+$lang['By %s'] = 'הועלה ע"י "%s"';
 $lang['Visit plugin site'] = 'בקר תוסף האתר';
 $lang['Active Languages'] = 'שפות פעילים';
@@ -757,8 +757,8 @@
 $lang['This theme was not designed to be directly activated'] = 'הנושא הזה לא נועד להיות מופעל באופן ישיר';
 $lang['Pending Comments'] = 'תגובות בהמתנה';
-$lang['In your php.ini file, the upload_max_filesize ("%s "B) is bigger than post_max_size ("%s "B), you should change this setting'] = 'בקובץ php.ini שלך, upload_max_filesize (SB%) הוא גדול יותר post_max_size (SB%), עליך לשנות הגדרה זו';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'בקובץ php.ini שלך, upload_max_filesize (SB%) הוא גדול יותר post_max_size (SB%), עליך לשנות הגדרה זו';
 $lang['Exif extension not available, admin should disable exif use'] = 'סיומת Exif לא נתמכת, פנה למנהל על מנת שיאשר שימוש בסיומת Exif';
-$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: "%s "B'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini: "%s "B';
-$lang['The uploaded files exceed the post_max_size directive in php.ini: "%s "B'] = 'The uploaded files exceed the post_max_size directive in php.ini: "%s "B';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini: "%s "B';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'The uploaded files exceed the post_max_size directive in php.ini: "%s "B';
 $lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
 $lang['The uploaded file was only partially uploaded'] = 'הקובץ הועלה חלקית';
Index: /branches/2.1/language/he_IL/common.lang.php
===================================================================
--- /branches/2.1/language/he_IL/common.lang.php	(revision 7232)
+++ /branches/2.1/language/he_IL/common.lang.php	(revision 7233)
@@ -143,5 +143,4 @@
 $lang['All'] = 'הכול';
 $lang['display each day with pictures, month per month'] = 'הצג כל יום עם תמונה, חודש אחרי חודש';
-$lang['display pictures added on'] = 'הצג תמונות שהועלו בתאריך';
 $lang['View'] = 'צפה';
 $lang['chronology_monthly_calendar'] = 'חודשי לוח שנה';
@@ -256,6 +255,6 @@
 $lang['Redirection...'] = "מעביר...";
 $lang['Please, enter a login'] = "הכנס שם משתמש";
-$lang['login mustn"t end with a space character'] = "שם משתמש לא יכול להיגמר ברווח";
-$lang['login mustn"t start with a space character'] = "שם משתמש לא יכול להתחיל עם רווח";
+$lang['login mustn\'t end with a space character'] = "שם משתמש לא יכול להיגמר ברווח";
+$lang['login mustn\'t start with a space character'] = "שם משתמש לא יכול להתחיל עם רווח";
 $lang['this login is already used'] = "השם משתמש הזה קיים כבר";
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = "דואר אלקטרוני חייב להיות כמו adir@biton.com (לדוגמה : adir@gmail.com)";