Index: /extensions/lightbox/language/ru_RU/description.txt
===================================================================
--- /extensions/lightbox/language/ru_RU/description.txt	(revision 7239)
+++ /extensions/lightbox/language/ru_RU/description.txt	(revision 7239)
@@ -0,0 +1,1 @@
+Просмотр фотографии в режиме лайтбокс.
Index: /extensions/lightbox/language/ru_RU/index.php
===================================================================
--- /extensions/lightbox/language/ru_RU/index.php	(revision 7239)
+++ /extensions/lightbox/language/ru_RU/index.php	(revision 7239)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lightbox/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/lightbox/language/ru_RU/plugin.lang.php	(revision 7239)
+++ /extensions/lightbox/language/ru_RU/plugin.lang.php	(revision 7239)
@@ -0,0 +1,34 @@
+<?php
+
+$lang['lb_display'] = 'Вид';
+$lang['lb_display_name'] = 'Отображать название фотографии';
+$lang['lb_name_link'] = 'Ссылка с названия';
+$lang['lb_none'] = 'Нет';
+$lang['lb_picture'] = 'Страница с фотографией';
+$lang['lb_high'] = 'Фотография оригинального размера';
+
+$lang['lb_display_arrows'] = 'Отображать стрелки навигации';
+$lang['lb_all_category'] = 'Показывать все фото в альбоме';
+$lang['lb_yes'] = 'Да';
+$lang['lb_no'] = 'Нет';
+
+$lang['lb_theme_transition'] = 'Тема & эффекты';
+$lang['lb_transition'] = 'Эффект';
+$lang['lb_theme'] = 'Тема';
+$lang['lb_transition_elastic'] = 'Растяжение';
+$lang['lb_transition_fade'] = 'Постепенное исчезновение';
+$lang['lb_transition_none'] = 'Нет';
+$lang['lb_transition_speed'] = 'Скорость смены кадров';
+
+$lang['lb_dimensions'] = 'Разрешение';
+$lang['lb_initial_width'] = 'Исходная ширина';
+$lang['lb_initial_height'] = 'Исходная высота';
+
+$lang['lb_fixed_width'] = 'Фиксированная ширина';
+$lang['lb_fixed_height'] = 'Фиксированная высота';
+
+$lang['lb_configuration_saved'] = 'Конфигурация сохранена';
+$lang['lb_default_parameters'] = 'Конфигурация по умолчанию';
+$lang['lb_default_parameters_saved'] = 'Конфигурация по умолчанию сохранена';
+
+?>