Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 7284)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 7285)
@@ -408,5 +408,6 @@
 $template->assign('U_HELP', get_root_url().'popuphelp.php?page=help');
 
-if (isset($conf['ec_debug1'])) $template->assign('ec_debug1', array(
+if (isset($conf['ec_debug1']) and $conf['ec_debug1'])
+ $template->assign('ec_debug1', array(
   'POST'      => str_from_var($_POST),
   'ec_debug'  => (isset($ec_debug)) ? str_from_var($ec_debug) : '(unset)',
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7284)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7285)
@@ -3,6 +3,14 @@
 {* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
-{include file=$HeaderIncTPL}
-{include file='include/datepicker.inc.tpl'}
+{include file = $HeaderIncTPL}
+{include file = 'include/datepicker.inc.tpl'}
+
+{html_head}
+  <style type="text/css">
+    #ui-datepicker-div {ldelim}
+      display:none;
+    }
+  </style>
+{/html_head}
 
 {* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
@@ -19,10 +27,10 @@
       {'Hide'|@translate}
     </label>
-    &nbsp;&#151;&nbsp;
+    &nbsp;—&nbsp;
   </span>
   {if $ec_ap_ok}
     {'Additional Pages active'|@translate}
     <script type = "text/javascript">
-      var ec_ap_ok = {if count($ec_lists.add_pages) == 0}false{else}true{/if};
+      var ec_ap_ok = {if count($ec_lists.add_pages)  ==  0}false{else}true{/if};
     </script>
   {else}
@@ -39,6 +47,8 @@
 {* <!-- Parameters list --> *}
 <form class = "filter" method = "post" name = "ec_new_code" action = "" onsubmit = "return ec_check_submit();">
-  <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
-  <input type = "hidden" id = "ec_act2_id" name = "ec_entry_sel" />
+  <p>
+    <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
+    <input type = "hidden" id = "ec_act2_id" name = "ec_entry_sel" />
+  </p>
   
   {* <!-- Page title. Can be "New entry" or "Entry modification" --> *}
@@ -71,9 +81,10 @@
     </legend>
     
+    <ul>
       {if $ec_is_creation}
         <li>
           {* <!-- New code (to create) --> *}
           <label for = "ec_in_up_code_id" onclick = "ec_mark_code('ec_sel_code_new');" {$ec_hidden_when_no_code} >
-            <input type = "radio" name = "ec_sel_code" for = "ec_in_up_code_id" value = "new" id = "ec_sel_code_new"/>
+            <input type = "radio" name = "ec_sel_code" value = "new" id = "ec_sel_code_new"/>
             {'New code'|@translate}
           </label>
@@ -86,11 +97,11 @@
           {'Auto code mid'|@translate}
           <select name = "ec_in_up_auto_code_length" id = "ec_in_up_auto_code_length_id" onchange = "ec_auto_code_digits_nb = this.value;">
-            {foreach from=$ec_auto_code_dg_nb item=ec_item name=listloop}
+            {foreach from = $ec_auto_code_dg_nb item = ec_item name = listloop}
               <option value = "{$ec_item}">
                 {$ec_item}
-                {if $smarty.foreach.listloop.index == 0}
+                {if $smarty.foreach.listloop.index  ==  0}
                   {'Auto code min'|@translate}
                 {/if}
-                {if $smarty.foreach.listloop.index == count($ec_auto_code_dg_nb) - 1}
+                {if $smarty.foreach.listloop.index  ==  count($ec_auto_code_dg_nb) - 1}
                   {'Auto code max'|@translate}
                 {/if}
@@ -99,16 +110,16 @@
           </select>
           {'Auto code end'|@translate}<br />
-          <li style = "padding-left: 30px;">
-            <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
-             id = "ec_in_up_code_id" onblur = "ec_check_code_text(this.value);"
-            />
-            &nbsp;&#151;&nbsp;
-            <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
-              <span style = "font-weight:bold; font-style:italic;">{'Comment'|@translate}</span>
-              <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
-                onchange = "ec_new_comment_text = this.value;"
-              />
-            </label>
-          </li>
+        </li>
+        <li style = "padding-left: 30px;">
+          <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
+           id = "ec_in_up_code_id" onblur = "ec_check_code_text(this.value);"
+          />
+          &nbsp;—&nbsp;
+          <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
+            <span style = "font-weight:bold; font-style:italic;">{'Comment'|@translate}</span>
+            <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
+              onchange = "ec_new_comment_text = this.value;"
+            />
+          </label>
         </li>
         
@@ -116,13 +127,13 @@
           {* <!-- Known code --> *}
           <label for = "ec_in_up_code_list_id" onclick = "ec_mark_code('ec_sel_code_old');" {$ec_hidden_when_no_code}>
-            <input type = "radio" name = "ec_sel_code" for = "ec_in_up_code_list_id" {$ec_hidden_when_no_code} value = "old" id = "ec_sel_code_old" />
+            <input type = "radio" name = "ec_sel_code" {$ec_hidden_when_no_code} value = "old" id = "ec_sel_code_old" />
             {'Existing code'|@translate}
           </label>
           <select name = "ec_in_up_code_list" id = "ec_in_up_code_list_id" onchange = "ec_change_code_list(this.value);" {$ec_hidden_when_no_code} >
-            {foreach from=$ec_lists.duplicable_codes.codes key=ec_key item=ec_val}
+            {foreach from = $ec_lists.duplicable_codes.codes key = ec_key item = ec_val}
               <option value = "{$ec_val.id}">
                 {$ec_key}
                 {if $ec_val.comment != ''}
-                  &nbsp;&#151;&nbsp;{$ec_val.comment}
+                  &nbsp;—&nbsp;{$ec_val.comment}
                 {/if}
               </option>
@@ -137,14 +148,14 @@
           {* <!-- Entry choice --> *}
           <select name = "ec_in_up_entry_list" id = "ec_in_up_entry_list_id" onchange = "ec_mark_entry(this.value);">
-            {foreach from=$ec_lists.ec_table item=ec_val}
+            {foreach from = $ec_lists.ec_table item = ec_val}
               <option value = "{$ec_val.id}">
                 {$ec_val.id} : {$ec_val.code}
                 {if $ec_val.comment != ''}
-                  &nbsp;&#151;&nbsp;{$ec_val.comment}
+                  &nbsp;—&nbsp;{$ec_val.comment}
                 {/if}
               </option>
             {/foreach}
           </select>
-          &nbsp;&#151;&nbsp;
+          &nbsp;—&nbsp;
             <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
               <span style = "font-weight:bold;  font-style:italic;">{'Comment'|@translate}</span>
@@ -156,4 +167,5 @@
         
       {/if}
+    </ul>
     
   </fieldset>
@@ -165,27 +177,29 @@
       <span style = "font-weight:bold; color:red;" id = "ec_in_up_pwd_warn">&nbsp;</span><br />
     </legend>
-    
-      {if !$ec_is_creation}
+      
+      <ul>
+        {if !$ec_is_creation}
+          <li>
+            {* <!-- None --> *}
+            <label onclick = "return ec_mark_user('ec_sel_user_none');">
+              <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none" />
+              {'No user'|@translate}
+            </label><br />
+          </li>
+        {/if}
+        
         <li>
-          {* <!-- None --> *}
-          <label onclick = "return ec_mark_user('ec_sel_user_none');">
-            <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none" />
-            {'No user'|@translate}
-          </label><br />
-        </li>
-      {/if}
-      
-      <li>
-        {* <!-- New user (to create) --> *}
-        <label for = "ec_in_up_usr_txt_id" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
-          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_txt_id" value = "new" id = "ec_sel_user_new" {$ec_hidden_when_no_user} />
-          {'New generic user'|@translate}
-        </label>
-        <span {$ec_hidden_when_no_user} >&nbsp;</span>
-        <label for = "ec_in_up_usr_txt_id" style = "margin:0;">
-          <input class = "submit" type = "button" name = "ec_submit_gen_user" value = "{'Generate username'|@translate}"
-           id = "ec_submit_gen_user_id" onclick = "ec_gen_user();"
-          />
-        </label>
+          {* <!-- New user (to create) --> *}
+          <label for = "ec_in_up_usr_txt_id" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
+            <input type = "radio" name = "ec_sel_user" value = "new" id = "ec_sel_user_new" {$ec_hidden_when_no_user} />
+            {'New generic user'|@translate}
+          </label>
+          <span {$ec_hidden_when_no_user} >&nbsp;</span>
+          <label for = "ec_in_up_usr_txt_id" style = "margin:0;">
+            <input class = "submit" type = "button" name = "ec_submit_gen_user" value = "{'Generate username'|@translate}"
+             id = "ec_submit_gen_user_id" onclick = "ec_gen_user();"
+            />
+          </label>
+        </li>
         <li style = "padding-left: 30px;">
           <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'New username'|@translate}<br />
@@ -212,85 +226,87 @@
              size = "20" onblur = "ec_new_grp_text = this.value; if (this.value != '') ec_selected_old_group = true;"
             />
-          </label>
-        </li><br />
+          </label><br />
+        </li>
+        
+        <li>
+          {* <!-- Known user --> *}
+          <label for = "ec_in_up_usr_list_id" onclick = "return ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
+            <input type = "radio" name = "ec_sel_user" {$ec_hidden_when_no_user} value = "old" id = "ec_sel_user_old" />
+            {'Existing user'|@translate}
+          </label>
+          <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onchange = "ec_change_user_list(this.value);" {$ec_hidden_when_no_user} >
+            {foreach from = $ec_lists.user_ids key = ec_key item = ec_val}
+              <option label = "{$ec_val}" value = "{$ec_key}" >{$ec_val}</option>
+            {/foreach}
+          </select><br />
+        </li>
+      </ul>
+    
+  </fieldset>
+  
+  {* <!-- Page to display --> *}
+  <fieldset style = "float:left;">
+    <legend style = "font-weight:bold;">{'Displayed page'|@translate}</legend>
+    
+    <ul>
+      <li>
+        <label class = "ec_block" for = "ec_in_up_forced_id" style = "margin-top:5px;" onclick = "ec_mark_forced();">
+          <input type = "checkbox" name = "ec_in_up_forced" id = "ec_in_up_forced_id">
+          <span id = "ec_style_forced_id">&nbsp;</span>
+        </label>
       </li>
       
       <li>
-        {* <!-- Known user --> *}
-        <label for = "ec_in_up_usr_list_id" onclick = "return ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
-          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_list_id" {$ec_hidden_when_no_user} value = "old" id = "ec_sel_user_old" />
-          {'Existing user'|@translate}
+        {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
+        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "return ec_mark_action('ec_input_action_add_p');"
+         {if !$ec_ap_ok or count($ec_lists.add_pages)  ==  0} style = "display:none;" {/if}
+        >
+          <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" />
+          {'Additional Page'|@translate}<br />
+          <select class = "categoryList" name = "ec_in_up_aps" size = "30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
+            {html_options options = $ec_lists.add_pages}
+          </select>
         </label>
-        <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onchange = "ec_change_user_list(this.value);" {$ec_hidden_when_no_user} >
-          {foreach from=$ec_lists.user_ids key=ec_key item=ec_val}
-            <option label = "{$ec_val}" value = "{$ec_key}" >{$ec_val}</option>
-          {/foreach}
-        </select><br />
+        
+        {* <!-- Category, provided at least one category is available --> *}
+        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "return ec_mark_action('ec_input_action_cat');"
+         {if count($ec_lists.categories)  ==  0} style = "display:none;" {/if}
+        >
+          <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat"
+            onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;"
+          />
+          <span onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;">{'Category'|@translate}</span><br />
+          <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id" onchange = "ec_selected_cat = this.value;">
+            {html_options options = $ec_lists.categories}
+          </select>
+        </label>
+        
+        {* <!-- Image, provided at least one category is available and at least one image is associated to one category --> *}
+        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "return ec_mark_action('ec_input_action_img');"
+         {if $ec_no_assoc or count($ec_lists.categories)  ==  0} style = "display:none;" {/if}
+        >
+          <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" />
+          {'Image id'|@translate}<br />
+          <input type = "text" name = "ec_in_up_img" id = "ec_in_up_imgs_id" maxlength = "6"
+           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "return ec_mark_action('ec_input_action_img');"
+          /><br />
+          <span id = "ec_in_up_imgs_warn">&nbsp;</span><br />
+        </label>
+        
+        {* <!-- Index page --> *}
+        <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_home');">
+          <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home" />
+          {'Home'|@translate}
+        </label>
+        
+        {* <!-- Access denied page (only when modifying an entry) --> *}
+        {if !$ec_is_creation}
+          <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_refused');">
+            <input type = "radio" name = "ec_input_action" value = "refused" id = "ec_input_action_refused" />
+            {'Access denied'|@translate}
+          </label>
+        {/if}
       </li>
-    
-  </fieldset>
-  
-  {* <!-- Page to display --> *}
-  <fieldset style = "float:left;">
-    <legend style = "font-weight:bold;">{'Displayed page'|@translate}</legend>
-    
-    <li>
-      <label class = "ec_block" for = "ec_in_up_forced_id" style = "margin-top:5px;" onclick = "ec_mark_forced();">
-        <input type = "checkbox" name = "ec_in_up_forced" id = "ec_in_up_forced_id">
-        <span id = "ec_style_forced_id">&nbsp;</span>
-      </label>
-    </li>
-    
-    <li>
-      {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
-      <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "return ec_mark_action('ec_input_action_add_p');"
-       {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {/if}
-      >
-        <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" for = "ec_in_up_aps_id" />
-        {'Additional Page'|@translate}<br />
-        <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
-          {html_options options=$ec_lists.add_pages}
-        </select>
-      </label>
-      
-      {* <!-- Category, provided at least one category is available --> *}
-      <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "return ec_mark_action('ec_input_action_cat');"
-       {if count($ec_lists.categories) == 0} style = "display:none;" {/if}
-      >
-        <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat" for = "ec_in_up_cats_id"
-          onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;"
-        />
-        <span onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;">{'Category'|@translate}</span><br />
-        <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id" onchange = "ec_selected_cat = this.value;">
-          {html_options options=$ec_lists.categories}
-        </select>
-      </label>
-      
-      {* <!-- Image, provided at least one category is available and at least one image is associated to one category --> *}
-      <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "return ec_mark_action('ec_input_action_img');"
-       {if $ec_no_assoc or count($ec_lists.categories) == 0} style = "display:none;" {/if}
-      >
-        <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" for = "ec_in_up_imgs_id" />
-        {'Image id'|@translate}<br />
-        <input type = "text" name = "ec_in_up_img" id = "ec_in_up_imgs_id" maxlength = "6"
-         size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "return ec_mark_action('ec_input_action_img');"
-        /><br />
-        <span id = "ec_in_up_imgs_warn">&nbsp;</span><br />
-      </label>
-      
-      {* <!-- Index page --> *}
-      <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_home');">
-        <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home" />
-        {'Home'|@translate}
-      </label>
-      
-      {* <!-- Access denied page (only when modifying an entry) --> *}
-      {if !$ec_is_creation}
-        <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_refused');">
-          <input type = "radio" name = "ec_input_action" value = "refused" id = "ec_input_action_refused" />
-          {'Access denied'|@translate}
-        </label>
-      {/if}
-    </li>
+    </ul>
     
   </fieldset>
@@ -298,5 +314,9 @@
   <fieldset style = "float:right;">
     <legend style = "font-weight:bold;">Validité</legend>
-    <span style = "font-weight:bold;">Date de validité&nbsp;: </span>
+    Date de validité&nbsp;: <br />
+    <label for = "ec_valid_date_on_off_id">
+      <input type = "checkbox" name = "ec_valid_date_on_off" id = "ec_valid_date_on_off_id">
+      Activer
+    </label><br /><br />
     <select id = "date_creation_day" name = "date_creation_day">
       <option value = "0">--</option>
@@ -333,5 +353,5 @@
       <option value = "31" >31</option>
     </select>
-
+    
     <select id = "date_creation_month" name = "date_creation_month">
       <option label = "------------" value = "0">------------</option>
@@ -349,5 +369,5 @@
       <option label = "Décembre"     value = "12">Décembre</option>
     </select>
-
+    
     <input id = "date_creation_year" name = "date_creation_year" type = "text" size = "4" maxlength = "4" value = "2010">
     {* <!-- date_creation_linked_date représente la date indiquée par les listes déroulantes, et permet de limiter
@@ -357,5 +377,31 @@
       pwg_initialization_datepicker("#date_creation_day", "#date_creation_month",
        "#date_creation_year", "#date_creation_linked_date", null, "#date_creation_linked_date");
-    </script>
+    </script><br />
+    <table>
+      <tr>
+        <td style = "text-align:right; vertical-align:top; font-weight:bold;">
+          Page à utiliser&nbsp;:&nbsp;&nbsp;
+        </td>
+        <td>
+          <label for = "ec_date_unknown_0_id">
+            <input type = "radio" name = "ec_date_unknown" value = "0" id = "ec_date_unknown_0_id" />
+            {'Home'|@translate}
+          </label><br />
+          <label for = "ec_date_unknown_1_id">
+            <input type = "radio" name = "ec_date_unknown" value = "1" id = "ec_date_unknown_1_id" />
+            {'Access denied'|@translate}
+          </label><br />
+          {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
+          <label class = "ec_date_block" for = "ec_date_in_up_aps_id" {if !$ec_ap_ok or count($ec_lists.add_pages)  ==  0} style = "display:none;" {/if} >
+            <input type = "radio" name = "ec_date_unknown" value = "2" id = "ec_date_unknown_2_id" />
+            {'Additional Page'|@translate}<br />
+            <select class = "categoryList" name = "ec_date_in_up_aps" size = "30" id = "ec_date_in_up_aps_id" >
+              {html_options options = $ec_lists.add_pages}
+            </select>
+          </label>
+        </td>
+      </tr>
+    </table>
+
   </fieldset>
   
@@ -391,10 +437,10 @@
   ec_auto_code_digits_nb                  = "{$ec_def_auto_code_dg_nb}";
   {if $ec_is_creation}
-    {foreach from=$ec_lists.duplicable_codes.ids key=ec_key item=ec_val}
+    {foreach from = $ec_lists.duplicable_codes.ids key = ec_key item = ec_val}
       ec_duplic_codes[{$ec_key}] = {$ec_val};
     {/foreach}
   {/if}
-  {foreach from=$ec_lists.ec_table item=ec_val name=listloop}
-    ec_lists_temp[{$smarty.foreach.listloop.index}] =
+  {foreach from = $ec_lists.ec_table item = ec_val name = listloop}
+    ec_lists_temp[{$smarty.foreach.listloop.index}]  = 
      "{$ec_val.id};{$ec_val.code};{$ec_val.user_id};{$ec_val.action};{$ec_val.arg1};{$ec_val.arg2};{$ec_val.forced};{$ec_val.comment}";
   {/foreach}
@@ -403,3 +449,3 @@
 //--></script>
 
-{include file=$FooterIncTPL}
+{include file = $FooterIncTPL}
Index: /extensions/event_cats/admin/template/footer.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/footer.inc.tpl	(revision 7284)
+++ /extensions/event_cats/admin/template/footer.inc.tpl	(revision 7285)
@@ -10,8 +10,6 @@
     ec_help_banner_in_foot = true;
   //--></script>
-  <div id = "ec_help_banner0">
-    <hr width = 100% size = 1 />
+  <div id = "ec_help_banner0" style = "border-top: 1px solid #000000; border-bottom: 1px solid #000000;">
     <div id = "ec_help_banner1" style = "text-align:left; display:block;"></div>
-    <hr width = 100% size = 1 />
   </div>
 {else}
Index: /extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/header.inc.tpl	(revision 7284)
+++ /extensions/event_cats/admin/template/header.inc.tpl	(revision 7285)
@@ -28,7 +28,6 @@
 {* <!-- Help banner --> *}
 {if !isset($ec_help_banner_in_foot)}
-  <span id = "ec_help_banner0">
-    <hr width = 100% size = 1 />
-    <div style = "text-align:right; font-style:italic;">
+  <div id = "ec_help_banner0">
+    <div style = "text-align:right; font-style:italic; border-top: 1px solid #000000;">
       {'Help banner'|@translate}&nbsp;
       <label for = "ec_help_banner_1" onclick = "ec_mark_help('ec_help_banner_1');">
@@ -42,7 +41,6 @@
       </label>
     </div>
-    <span id = "ec_help_banner1" style = "text-align:left; display:block;"></span>
-    <hr width = 100% size = 1 />
-  </span>
+    <span id = "ec_help_banner1" style = "text-align:left; display:block; border-bottom: 1px solid #000000;"></span>
+  </div>
 {/if}
 
Index: /extensions/event_cats/include/evntcats_main_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 7284)
+++ /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 7285)
@@ -88,6 +88,6 @@
  * str_from_var($var)
  * returns a string easing array var informations displaying in Piwigo :
- *   _ the string return value starts with"<p align="left">" ;
- *   _ all "TAB" characters (chr(10)) are replaced by "<br>" ;
+ *   _ the string return value starts with"<p style = "text-align:left;">" ;
+ *   _ all "TAB" characters (chr(10)) are replaced by "<br />" ;
  *   _ all spaces are replaced by "&nbsp;".
  *
@@ -99,7 +99,7 @@
 function str_from_var($var) {
   return
-   '<p align="left">'.
+   '<p style = "text-align:left;">'.
    str_replace(
-    chr(10),'<br>',
+    chr(10),'<br />',
     str_replace(' ','&nbsp;', print_r /* var_dump */ ($var,true))
    ).