Index: /extensions/rv_db_integrity/language/en_UK/description.txt
===================================================================
--- /extensions/rv_db_integrity/language/en_UK/description.txt	(revision 7302)
+++ /extensions/rv_db_integrity/language/en_UK/description.txt	(revision 7302)
@@ -0,0 +1,1 @@
+Checks database integrity. After install go to Administration /Tools/Maintenance: "Check database integrity".
Index: /extensions/rv_db_integrity/language/en_UK/index.php
===================================================================
--- /extensions/rv_db_integrity/language/en_UK/index.php	(revision 7302)
+++ /extensions/rv_db_integrity/language/en_UK/index.php	(revision 7302)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_db_integrity/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_db_integrity/language/fr_FR/description.txt	(revision 7302)
+++ /extensions/rv_db_integrity/language/fr_FR/description.txt	(revision 7302)
@@ -0,0 +1,1 @@
+Contrôles de l'intégrité des données. Après l'installation aller à Administration /Outils/Maintenance: "Check database integrity".
Index: /extensions/rv_db_integrity/language/fr_FR/index.php
===================================================================
--- /extensions/rv_db_integrity/language/fr_FR/index.php	(revision 7302)
+++ /extensions/rv_db_integrity/language/fr_FR/index.php	(revision 7302)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_db_integrity/main.inc.php
===================================================================
--- /extensions/rv_db_integrity/main.inc.php	(revision 7301)
+++ /extensions/rv_db_integrity/main.inc.php	(revision 7302)
@@ -2,6 +2,6 @@
 Plugin Name: RV DB Integrity
 Version: 2.0.b
-Description: Checks database integrity. After install go to admin / Advanced features.
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=179
+Description: Checks database integrity. After install go to Administration /Tools/Maintenance: "Check database integrity".
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=179
 Author: rvelices
 Author URI: http://www.modusoptimus.com