Index: /extensions/gvideo/language/es_ES/description.txt
===================================================================
--- /extensions/gvideo/language/es_ES/description.txt	(revision 7305)
+++ /extensions/gvideo/language/es_ES/description.txt	(revision 7305)
@@ -0,0 +1,1 @@
+Añadir videos de Google Video, Dailymotion, Youtube, Wideo, Vimeo o Wat.
Index: /extensions/gvideo/language/es_ES/index.php
===================================================================
--- /extensions/gvideo/language/es_ES/index.php	(revision 7305)
+++ /extensions/gvideo/language/es_ES/index.php	(revision 7305)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/es_ES/plugin.lang.php	(revision 7305)
+++ /extensions/gvideo/language/es_ES/plugin.lang.php	(revision 7305)
@@ -0,0 +1,47 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Configuración';
+$lang['py_addvideo'] = 'Añadir video';
+$lang['py_filename'] = 'Nombre del fichero';
+$lang['py_url'] = 'URL de la video';
+$lang['py_parent'] = 'Categoria pariente ';
+$lang['py_thumb'] = 'Miniatura';
+$lang['py_no_thumb'] = 'Sin miniatura';
+$lang['py_thumb_from_server'] = 'Cargar la miniatura corespondiente en el servidor';
+$lang['py_thumb_from_user'] = 'Cargar su propria miniatura';
+$lang['py_add_band'] = 'Añadir trias en los lados de la miniatura';
+$lang['py_thumb_resize'] = 'Cambiar el tamaño de la miniatura';
+$lang['py_width'] = 'Ancho';
+$lang['py_height'] = 'Altura';
+$lang['py_start'] = 'Arranque de la video';
+$lang['py_*'] = 'Campos obligatorios';
+$lang['py_autostart'] = 'Auto arranquet';
+$lang['py_quality'] = 'Calidad';
+$lang['py_playermode'] = 'Modo Player';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Pegar aquí el enlace a la página donde se encuentra el vídeo.<br>Usted puede utilizar vídeos de Google, YouTube, DailyMotion, Wideo, Vimeo et Wat. Ejemplos:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Define el punto de arranque (en segundos) de la vídeo.<br>Esta opción sólo está activa con Google Vidéo.";
+$lang['pybulle_categorie'] = "Categoria donde estara escrito el fichero: sólo las categorías reales figuran en esta lista. Si desea que el archivo figura en una categoría virtual, tendra que asociarlo despues.";
+$lang['pybulle_miniature'] = "Usted puede eligir de recuperar la miniatura corespondiente a la video sur le serveur.Por defecto el tamaño de las miniaturas es de 320x240 en Google Vidéo, 320x240 en Dailymotion, 130x97 en Youtube, 154x114 en Wideo y 200x150 en Vimeo.<br><br>También puede optar por subir su propia miniatura.<br><br>En todos los casos, usted puede cambiar el tamaño.";
+
+// Messages d'infos ou d'erreurs
+$lang['py_error1'] = 'Ningún sitio web local! No se puede crear un archivo de vídeo.';
+$lang['py_error2'] = 'No se puede proceder al registro. Usted no ha llenado corectamente el formulario.';
+$lang['py_error3'] = 'Debe completar los campos obligatorios marcados *';
+$lang['py_error5'] = 'URL invalida!';
+$lang['py_error6'] = 'El fichero "%s" ya existe.';
+$lang['py_error7'] = 'Imposible de escribir el fichero "%s"';
+$lang['py_error8'] = 'Por favor, compruebe que el archivo% s tiene los permisos necesarios (chmod).';
+$lang['py_error9'] = 'No se puede  cargar o cambiar el tamaño de la miniatura.';
+$lang['py_error11'] = 'Una miniatura ya existe con ese nombre (%s)';
+$lang['py_error12'] = 'No se ha especificado un nombre para la miniatura : miniatura no cargada.';
+$lang['py_info2'] = 'Miniatura subida con éxito.';
+$lang['py_info3'] = 'Video añadido';
+$lang['py_info4'] = 'Configuración guardada.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Ver la video</a>.';
+
+
+?>