Index: /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/description.txt
===================================================================
--- /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/description.txt	(revision 7307)
+++ /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/description.txt	(revision 7307)
@@ -0,0 +1,1 @@
+Rediget lokalos failus no administratora panela.
Index: /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/index.php
===================================================================
--- /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/index.php	(revision 7307)
+++ /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/index.php	(revision 7307)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php
===================================================================
--- /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php	(revision 7307)
+++ /branches/2.1/plugins/LocalFilesEditor/language/lv_LV/plugin.lang.php	(revision 7307)
@@ -0,0 +1,57 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['locfiledit_onglet_localconf'] = 'Lokala konfiguracija';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_tpl'] = 'Veidnes';
+$lang['locfiledit_onglet_lang'] = 'Valodas';
+$lang['locfiledit_onglet_plug'] = 'Personas spraudni';
+$lang['locfiledit_cant_save'] = ' Esoais fails nav ierakstams. Parbaudit vai mape "include/" ir ar rakstianas tiesibam (chmod).';
+$lang['locfiledit_newfile'] = 'Fails neeksiste, tas tiks izveidots izmantojot LocalFiles Editor';
+$lang['locfiledit_save_config'] = ' Fails ierakstits sekmigi.';
+$lang['locfiledit_show_default'] = ' Paradit izvelnes failu: ';
+$lang['locfiledit_save_bak'] = ' Rezerves kopija tiks izveidota veicot saglabaanu.';
+$lang['locfiledit_saved_bak'] = 'Rezerves kopija izveidota par (%s)';
+$lang['locfiledit_save_file'] = ' Saglabat failu';
+$lang['locfiledit_choose_file'] = ' Izveleties failu ko rediget';
+$lang['locfiledit_edit'] = 'Rediget';
+$lang['locfiledit_restore'] = 'Atjaunot rezerves kopiju';
+$lang['locfiledit_restore_confirm'] = 'Ludzu apstprinat?
+Atjaunoana nebus iespejama lidz nakamai saglabaanai.';
+$lang['locfiledit_bak_loaded1'] = 'Rezerves kopija ieladeta.';
+$lang['locfiledit_bak_loaded2'] = 'Jums jasaglaba fails lai to atjaunotu.';
+$lang['locfiledit_syntax_error'] = 'Sintakses kluda! Failu nav iespejams saglabat.';
+$lang['locfiledit_enable_editarea'] = 'Iespejot Redigeanas apgabalu';
+$lang['locfiledit_disable_editarea'] = 'Atspejot Redigeanas apgabalu';
+$lang['locfiledit_new_tpl'] = 'Izveidot jaunu failu';
+$lang['locfiledit_new_filename'] = 'Faila nosaukums';
+$lang['locfiledit_model'] = 'Modelis';
+$lang['locfiledit_empty_page'] = 'Tuka lapa';
+$lang['locfiledit_parent_directory'] = 'Pamatmape';
+$lang['locfiledit_filename_error'] = 'Aizliegti simboli nosaukuma.';
+$lang['locfiledit_file_already_exists'] = 'Fails jau eksiste.';
+$lang['locfiledit_model_error'] = 'Jums jaizvelas modelis.';
+$lang['locfiledit_empty_filename'] = 'Jums jaieraksta faila nosaukums.';
+$lang['locfiledit_webmaster_only'] = 'Tikai webmasters var izveidot un modificet lokalos failus.';
+
+?>