Index: extensions/GMaps/admin/gmaps_category_maps.tpl
===================================================================
--- extensions/GMaps/admin/gmaps_category_maps.tpl	(revision 7308)
+++ extensions/GMaps/admin/gmaps_category_maps.tpl	(revision 7309)
@@ -219,5 +219,5 @@
     {
       $('#iDialogDelete')
-        .html('<br>{/literal}{"gmaps_pleaseConfirmAssoc"|@translate}{literal}')
+        .html("<br>{/literal}{'gmaps_pleaseConfirmDeletingAssoc'|@translate}{literal}")
         .dialog(
           {
Index: extensions/GMaps/admin/gmaps_config.tpl
===================================================================
--- extensions/GMaps/admin/gmaps_config.tpl	(revision 7309)
+++ extensions/GMaps/admin/gmaps_config.tpl	(revision 7309)
@@ -0,0 +1,75 @@
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{known_script id="jquery.ui.slider" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.slider.packed.js"}
+
+<h2>{'gmaps_config'|@translate}</h2>
+
+{literal}
+<script type='text/javascript'>
+
+  function configManager()
+  {
+    this.init = function ()
+    {
+      $("#iBDPopupAutomaticSizeSlider").slider(
+        {
+          min:50,
+          max:95,
+          step:1,
+          value:{/literal}{$gmapsConfig.popupAutomaticSize*100}{literal},
+          slide: function(event, ui) { changeSize(ui.value); }
+        });
+      changeSize($("#iBDPopupAutomaticSizeSlider").slider('value'));
+    }
+
+    /**
+     * change the popup ratio
+     * @param value : the ratio
+     */
+    var changeSize = function (value)
+    {
+      $('#iBDPopupAutomaticSizeDisplay').html(value+"% {/literal}{'gmaps_of_window_size'|@translate}{literal}");
+      $('#iBDPopupAutomaticSizeValue').val(value/100);
+    };
+
+    this.submit = function ()
+    {
+      $('#iForm').get(0).submit();
+    }
+
+    this.init();
+  }
+
+</script>
+{/literal}
+
+
+
+<form method="POST" action="" id='iForm'>
+
+
+  <table class="formtable">
+    <tr>
+      <td>{'gmaps_popup_automatic_size'|@translate}</td>
+      <td>
+        <input type="hidden" id="iBDPopupAutomaticSizeValue" name='fBDPopupAutomaticSize' value="">
+        <div id="iBDPopupAutomaticSizeSlider" class="gcBgInput gcBorderInput"></div>
+      </td>
+      <td>
+        <div id="iBDPopupAutomaticSizeDisplay"></div>
+      </td>
+    </tr>
+  </table>
+
+
+  <div class='cfgBloc'>
+    <input type="button" onclick="cm.submit();" value="{'gmaps_apply'|@translate}">
+  </div>
+
+</form>
+
+
+{literal}
+<script type="text/javascript">
+  var cm=new configManager();
+</script>
+{/literal}
Index: extensions/GMaps/admin/gmaps_maps.tpl
===================================================================
--- extensions/GMaps/admin/gmaps_maps.tpl	(revision 7308)
+++ extensions/GMaps/admin/gmaps_maps.tpl	(revision 7309)
@@ -56,25 +56,5 @@
         );
 
-      $('#iBDDisplayTypeIC, #iBDDisplayTypeIP, #iBDDisplayTypeMP').bind('change',
-        function ()
-        {
-          switch($(this).val())
-          {
-            case 'IC':
-              $('#iBDZoomLevelRow').hide();
-              $('[name=fBDSizeMode]').attr('disabled', false);
-              break;
-            case 'IP':
-              $('#iBDZoomLevelRow').show();
-              $('[name=fBDSizeMode]').attr('disabled', false);
-              break;
-            case 'MP':
-              $('#iBDZoomLevelRow').show();
-              $('#iBDSizeModeF').attr('checked', true).change();
-              $('[name=fBDSizeMode]').attr('disabled', true);
-              break;
-          }
-        }
-      );
+      $('[name=fBDDisplayType]').bind('change', changeDisplayType);
 
       $('#iBDSizeModeA, #iBDSizeModeF').bind('change',
@@ -129,4 +109,30 @@
 
       loadList();
+    }
+
+    /**
+     *
+     */
+    var changeDisplayType = function ()
+    {
+      switch($('[name=fBDDisplayType]:checked').val())
+      {
+        case 'IC':
+          $('#iBDZoomLevelTxt').hide();
+          $('#iBDZoomLevelMaxTxt').show();
+          $('[name=fBDSizeMode]').attr('disabled', false);
+          break;
+        case 'IP':
+          $('#iBDZoomLevelTxt').show();
+          $('#iBDZoomLevelMaxTxt').hide();
+          $('[name=fBDSizeMode]').attr('disabled', false);
+          break;
+        case 'MP':
+          $('#iBDZoomLevelTxt').show();
+          $('#iBDZoomLevelMaxTxt').hide();
+          $('#iBDSizeModeF').attr('checked', true).change();
+          $('[name=fBDSizeMode]').attr('disabled', true);
+          break;
+      }
     }
 
@@ -502,5 +508,6 @@
         tmp={
           sizeMode:'A',
-          displayTYpe:'IC'
+          displayTYpe:'IC',
+          nbAssoc:0,
         }
         $('#iBDName').val('');
@@ -511,4 +518,5 @@
         $('#iBDMapWidthSlider').slider('option', 'value', 470);
         $('#iBDMapHeightSlider').slider('option', 'value', 210);
+        $('#iBDMapZoomLevelMaxActivated').attr('checked', false);
         $('#iBDMapZoomLevelSliderValue').val(4);
         $('#iBDMapZoomLevelSlider').slider('option', 'value', 4);
@@ -541,4 +549,5 @@
         $('#iBDMapWidthSlider').slider('option', 'value', tmp.width);
         $('#iBDMapHeightSlider').slider('option', 'value', tmp.height);
+        $('#iBDMapZoomLevelMaxActivated').attr('checked', tmp.zoomLevelMaxActivated=='y');
         $('#iBDMapZoomLevelSliderValue').val(tmp.zoomLevel);
         $('#iBDMapZoomLevelSlider').slider('option', 'value', tmp.zoomLevel);
@@ -558,8 +567,21 @@
 
       $('#iBDDisplayType'+tmp.displayType+', #iBDSizeMode'+tmp.sizeMode).change();
+      changeDisplayType();
       changeSize($('#iBDMapWidthSliderValue').val(), 'iBDMapWidthSlider');
       changeSize($('#iBDMapHeightSliderValue').val(), 'iBDMapHeightSlider');
       changeZoom($('#iBDMapZoomLevelSliderValue').val(), '');
       changeStreetViewControl($('#iBDMapStreetViewControl').val());
+
+      if(tmp.nbAssoc>0)
+      {
+        $('[name=fBDDisplayType]').attr('disabled', true);
+        $('#iBDDisplayTypeRow').show();
+      }
+      else
+      {
+        $('[name=fBDDisplayType]').attr('disabled', false);
+        $('#iBDDisplayTypeRow').hide();
+      }
+
     }
 
@@ -628,4 +650,5 @@
         width:$('#iBDMapWidthSliderValue').val(),
         height:$('#iBDMapHeightSliderValue').val(),
+        zoomLevelMaxActivated:$('#iBDMapZoomLevelMaxActivated').attr('checked')?'y':'n',
         zoomLevel:$('#iBDMapZoomLevelSliderValue').val(),
         mapType:$('#iBDMapMapType').val(),
@@ -742,9 +765,13 @@
             <td>{'gmaps_displayType'|@translate}</td>
             <td>
-              <label><input type='radio' id='iBDDisplayTypeIC' name='fBDDisplayType' value='IC'>&nbsp;{'gmaps_displayTypeIC'|@translate}</label><br>
-              <label><input type='radio' id='iBDDisplayTypeIP' name='fBDDisplayType' value='IP'>&nbsp;{'gmaps_displayTypeIP'|@translate}</label><br>
-              <label><input type='radio' id='iBDDisplayTypeMP' name='fBDDisplayType' value='MP'>&nbsp;{'gmaps_displayTypeMP'|@translate}</label>
-            </td>
-          </tr>
+              <div style='display:inline-block;'>
+                <label><input type='radio' id='iBDDisplayTypeIC' name='fBDDisplayType' value='IC'>&nbsp;{'gmaps_displayTypeIC'|@translate}</label><br>
+                <label><input type='radio' id='iBDDisplayTypeIP' name='fBDDisplayType' value='IP'>&nbsp;{'gmaps_displayTypeIP'|@translate}</label><br>
+                <label><input type='radio' id='iBDDisplayTypeMP' name='fBDDisplayType' value='MP'>&nbsp;{'gmaps_displayTypeMP'|@translate}</label>
+              </div>
+              <div id='iBDDisplayTypeRow' class='helps' style='float:right;display:inline-block;margin-top:0px;'>{'gmaps_display_type_cannot_be_changed'|@translate}</div>
+            </td>
+          </tr>
+
 
         </table>
@@ -847,6 +874,14 @@
       <div id='iTabZoomLevel' style='display:none;'>
         <table class='formtable'>
-          <tr id='iBDZoomLevelRow'>
-            <td>{'gmaps_zoomLevel'|@translate}</td>
+
+          <tr id='iBDZoomLevelMaxTxt'>
+            <td>{'gmaps_zoomLevel_max'|@translate}</td>
+            <td>
+              <label><input type='checkbox' id='iBDMapZoomLevelMaxActivated'>&nbsp;{'gmaps_apply_zoomLevel_max'|@translate}</label>
+            </td>
+          </tr>
+
+          <tr>
+            <td><span id='iBDZoomLevelTxt'>{'gmaps_zoomLevel'|@translate}</span></td>
             <td>
               <table class="formclass">
Index: extensions/GMaps/language/en_UK/plugin.lang.php
===================================================================
--- extensions/GMaps/language/en_UK/plugin.lang.php	(revision 7308)
+++ extensions/GMaps/language/en_UK/plugin.lang.php	(revision 7309)
@@ -152,3 +152,15 @@
 
 
+// GMaps 1.1.0
+$lang['gmaps_pleaseConfirmDeletingAssoc']="Please confirm deleting the association";
+$lang['gmaps_of_window_size']="of the browser window size"; // x% of the browser window size
+$lang['gmaps_config']="Configuration";
+$lang['gmaps_popup_automatic_size']="Automatic size maps";
+$lang['gmaps_apply']="Apply";
+$lang['gmaps_config_saved']="Settings are saved";
+$lang['gmaps_zoomLevel_max']="Maximum zoom level";
+$lang['gmaps_apply_zoomLevel_max']="Apply a maximum zoom level";
+$lang['gmaps_display_type_cannot_be_changed']="This map is currently associated, the display type can't be modified";
+
+
 ?>
Index: extensions/GMaps/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/GMaps/language/fr_FR/plugin.lang.php	(revision 7308)
+++ extensions/GMaps/language/fr_FR/plugin.lang.php	(revision 7309)
@@ -163,3 +163,14 @@
 $lang['gmaps_googleMapStreetViewControl']="Afficher le contrôle Street View";
 
+// GMaps 1.1.0
+$lang['gmaps_pleaseConfirmDeletingAssoc']="Merci de confirmer la suppression de l'association";
+$lang['gmaps_of_window_size']="de la taille de la fenêtre";
+$lang['gmaps_config']="Configuration";
+$lang['gmaps_popup_automatic_size']="Cartes à dimensions automatiques";
+$lang['gmaps_apply']="Appliquer";
+$lang['gmaps_config_saved']="La configuration est enregistrée";
+$lang['gmaps_zoomLevel_max']="Niveau de zoom maximum";
+$lang['gmaps_apply_zoomLevel_max']="Appliquer un niveau de zoom maximum";
+$lang['gmaps_display_type_cannot_be_changed']="Cette carte faisant l'objet d'associations, la méthode d'affichage ne peut être modifiée";
+
 ?>