Index: extensions/GrumPluginClasses/js/criteriaBuilder.packed.js
===================================================================
--- extensions/GrumPluginClasses/js/criteriaBuilder.packed.js	(revision 7175)
+++ extensions/GrumPluginClasses/js/criteriaBuilder.packed.js	(revision 7310)
@@ -1,2 +1,2 @@
-/* file: criteriaBuilder.packed.js - v1.0.0 | packed on 2010/10/13 with http://joliclic.free.fr/php/javascript-packer/ */
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('7 25(k){e a={d:\'2g\',g:\'2h\',k:k,},c={d:0,g:0,},5={1x:\'2b\',1w:\'1K\',2f:\'\',1z:\'\',1A:\'\',1j:\'\',26:\'2i\',1o:0.8,M:f,Q:f,14:f,11:f,X:f,T:f,16:\'\',W:\'\',1l:\'\',},r=1M 1g();6(b.n==2){6(C b[1]==\'1e\'){5=w.29(5,b[1])}}o.2e=7(1v){2v(1v){u\'2q\':6(b.n==3){6(C b[1]==\'V\'){1u(b[1],b[2])}}v;u\'2p\':6(b.n==2){6(C b[1]==\'V\'){1H(b[1])}}v;u\'2l\':6(b.n==4){6(C b[1]==\'V\'&&C b[2]==\'V\'){1C(b[1],b[2],b[3])}}v;u\'2d\':z(Y());v;u\'1a\':6(b.n==2){z(1a(b[1]))}p{z(f)}v;u\'2o\':1F();v;u\'2n\':23();v;u\'Z\':6(b.n==4){Z(b[1],b[2],b[3])}v;u\'1f\':6(b.n==2){z(1f(b[1]))}v}};e 1h=7(m){c.d++;e j="<D l=\'"+a.d+c.d+"\' E=\'1d 18 L "+5.1z+"\'>";j+="<1y></1y></D>";$(\'#\'+m).2t(j);j="<q E=\'17\'>";j+="<q l=\'"+a.d+c.d+"K\' E=\'"+5.1j+"\' 1n=\'s:G;\'>"+5.1x+"</q>";j+="<q l=\'"+a.d+c.d+"H\' E=\'"+5.1j+"\' 1n=\'s:G;\'>"+5.1w+"</q>";j+="</q>";$("#"+a.d+c.d).2j(j);$(\'#\'+a.d+c.d+\'K\').R(\'S\',a.d+c.d,1k);$(\'#\'+a.d+c.d+\'H\').R(\'S\',a.d+c.d,1k);1s()};e 1O=7(h){$(\'#\'+h).1D()};e 1u=7(1J,t){c.g++;e j="<D l=\'"+a.g+c.g+"\' E=\'P 18 "+5.1A+"\'>";j+="<q E=\'2m\' 1n=\'2y:2K;\'>";6(5.16!=\'\'&&5.M!=f&&w.I(5.M))j+="<1N l=\'1L"+c.g+"\' 1B=\'"+5.16+"\'/>";6(5.W!=\'\'&&5.Q!=f&&w.I(5.Q))j+="<1N l=\'1I"+c.g+"\' 1B=\'"+5.W+"\'/>";j+="</q><q E=\'17\'>"+1J+"</q></D>";$(\'#\'+a.k).2J(j);1h(a.g+c.g);6(5.16!=\'\'&&5.M!=f){$(\'#1L\'+c.g).R(\'S\',a.g+c.g,5.M)}6(5.W!=\'\'&&5.Q!=f){$(\'#1I\'+c.g).R(\'S\',a.g+c.g,5.Q)}r[c.g]=t};e 1H=7(m){6($(\'#\'+m).n!=0){$(\'#\'+m).1D();x=/[0-9]*$/;r[1E(x.U(m)[0])]=f;1q()}};e 1C=7(m,j,t){6($(\'#\'+m).n!=0){$(\'#\'+m+\' .17\').1G(j);x=/[0-9]*$/;r[1E(x.U(m)[0])]=t}};e 1F=7(){$(\'#\'+a.k).27();$(\'#\'+a.k).1G("");c.g=0;c.d=0;r=1M 1g()};e 19=7(10,F){O=\'\';6(C F==\'1e\'){1t(e J 2E F){6(C F[J]==\'1e\'){O+=19(10+\'[\'+J+\']\',F[J])}p{O+=\'&\'+10+\'[\'+J+\']=\'+F[J]}}}p{O+=\'&\'+10+\'=\'+F}z(O)};e Y=7(){B=w.2L.2z(a.k)[\'2G\'];2H=1g();1t(i=0;i<r.n;i++){6(r[i]!=f){B+=19(\'r[\'+i+\']\',r[i])}}$(\'#\'+a.k+\' .1d\').28(7(){x=/[0-9]*$/;B+=\'&2Q[\'+x.U(o.l)[0]+\']=\';6($(o).N(\'1i\')){B+=\'1K\'}p{B+=\'2b\'}});z(B)};e 1a=7(m){x=/[0-9]*$/;2a=x.U(m)[0];z(r[2a])};e 1f=7(2c){5=w.29(5,2c)};e 1b=7(h,1c){6($(\'#\'+h).N(\'L\')){6(1c){$(\'#\'+h+\'K\').A(\'s\',\'13\')}p{$(\'#\'+h+\'K\').A(\'s\',\'G\')}}p{6(1c){$(\'#\'+h+\'H\').A(\'s\',\'13\')}p{$(\'#\'+h+\'H\').A(\'s\',\'G\')}}};e 1q=7(){$(\'#\'+a.k+\' D\').28(7(){6($(o).N(\'1d\')){6($(\'#\'+o.l+\' D.P\').n==0){1O(o.l)}p 6($(\'#\'+o.l+\' D.P\').n==1){1b(o.l,1S)}p{1b(o.l,12)}}p 6($(o).N(\'P\')){6($(o).2D().2d(0).l==a.k){1h(o.l)}}})};e 1s=7(){$(\'#\'+a.k).27();$(\'#\'+a.k).2F({2C:\'18\',2B:\'P\',1o:5.1o,2x:5.26,2A:/.*/i,2N:12,2O:\'.17\',2P:1S,2M:15,2I:7(B){1q()},})};1k=7(1Q){h=1Q.t;6($(\'#\'+h).N(\'L\')){$(\'#\'+h).1R(\'L\').1W(\'1i\');$(\'#\'+h+\'K\').A(\'s\',\'G\');$(\'#\'+h+\'H\').A(\'s\',\'13\')}p{$(\'#\'+h).1R(\'1i\').1W(\'L\');$(\'#\'+h+\'K\').A(\'s\',\'13\');$(\'#\'+h+\'H\').A(\'s\',\'G\')}};e 23=7(){1m=24(\'22=\'+a.k+\'&\'+Y());$.21({20:"1Z",1Y:5.1l+\'2w\',1X:12,t:1m,1V:7(y){6(5.14!=f&&w.I(5.14))5.14(y)},1U:7(y){6(5.11!=f&&w.I(5.11))5.11(y)},})};e Z=7(1p,1P,1T){1m=24(\'22=\'+a.k+\'&\'+Y());$.21({20:"1Z",1Y:5.1l+\'Z\',1X:12,t:{2k:1P,1p:1p,2u:1T},1V:7(y){6(5.X!=f&&w.I(5.X))5.X(y)},1U:7(y){6(5.T!=f&&w.I(5.T))5.T(y)},})};1s()};25.2r=7(1r,t){z({1r:1r,2s:t,})}',62,177,'|||||options|if|function|||itemsId|arguments|counters|group|var|null|item|groupId||content|container|id|itemId|length|this|else|div|extraData|display|data|case|break|jQuery|re|msg|return|css|serialized|typeof|li|class|value|none|OpOR|isFunction|key|OpAND|cbOpAND|onEdit|hasClass|returned|cbItem|onDelete|bind|click|onGetPageError|exec|string|imgDeleteUrl|onGetPageSuccess|getItems|getPage|prefix|onRequestError|true|block|onRequestSuccess||imgEditUrl|cbSortHandle|cbSortable|serializeData|getExtraData|displayOperator|visible|cbGroup|object|setOptions|Array|addGroup|cbOpOR|classOperator|onSwitchOperator|ajaxUrl|datas|style|opacity|requestNumber|manage|owner|applyNested|for|addItem|fct|textOR|textAND|ul|classGroup|classItem|src|editItem|remove|eval|clearItems|html|deleteItem|iImgDelete|itemContent|OR|iImgEdit|new|img|removeGroup|pageNumber|event|removeClass|false|numberPerPage|error|success|addClass|async|url|POST|type|ajax|requestName|sendRequest|encodeURI|criteriaBuilder|classHelper|NestedSortableDestroy|each|extend|extraDataNumber|AND|optionsToSet|get|doAction|textHint|iCbGroup|iCbItem|helper|prepend|page|edit|cbItemButtons|send|clear|delete|add|makeExtendedData|param|wrap|numPerPage|switch|execute|helperclass|float|serialize|serializeRegExp|noNestingClass|accept|parent|in|NestedSortable|hash|tmp|onChange|append|right|iNestedSortable|nestingPxSpace|autoScroll|handle|ghosting|operator'.split('|'),0,{}))
+/* file: criteriaBuilder.packed.js - v1.1.0 | packed on 2010/10/13 with http://joliclic.free.fr/php/javascript-packer/ */
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('7 1A(l){e b={d:\'2u\',g:\'2t\',l:l,},c={d:0,g:0,},5={1I:\'2a\',1G:\'2d\',2s:\'\',1M:\'\',1N:\'\',1d:\'\',26:\'2r\',1f:0.8,L:f,M:f,Y:f,10:f,11:f,12:f,U:\'\',S:\'\',1n:\'\',},q=1y 1a();6(a.o==2){6(B a[1]==\'1e\'){5=u.23(5,a[1])}}n.2v=7(1K){2w(1K){v\'2z\':6(a.o==3){6(B a[1]==\'R\'){1H(a[1],a[2])}}t;v\'2q\':6(a.o==2){6(B a[1]==\'R\'){1w(a[1])}}t;v\'2x\':6(a.o==4){6(B a[1]==\'R\'&&B a[2]==\'R\'){1u(a[1],a[2],a[3])}}t;v\'2b\':x(1q());t;v\'1h\':6(a.o==2){x(1h(a[1]))}p{x(f)}t;v\'2n\':1C();t;v\'2i\':2e();t;v\'1o\':6(a.o==4){1o(a[1],a[2],a[3])}t;v\'1k\':6(a.o==2){x(1k(a[1]))}t}};e 17=7(m){c.d++;e h="<E k=\'"+b.d+c.d+"\' F=\'19 16 N "+5.1M+"\'>";h+="<1J></1J></E>";$(\'#\'+m).2k(h);h="<r F=\'Z\'>";h+="<r k=\'"+b.d+c.d+"J\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1I+"</r>";h+="<r k=\'"+b.d+c.d+"H\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1G+"</r>";h+="</r>";$("#"+b.d+c.d).2o(h);$(\'#\'+b.d+c.d+\'J\').X(\'13\',b.d+c.d,1l);$(\'#\'+b.d+c.d+\'H\').X(\'13\',b.d+c.d,1l);1g()};e 28=7(j){$(\'#\'+j).1s()};e 1H=7(1V,w){c.g++;e h="<E k=\'"+b.g+c.g+"\' F=\'Q 16 "+5.1N+"\'>";h+="<r F=\'2R\' 1c=\'2P:2O;\'>";6(5.U!=\'\'&&5.L!=f&&u.G(5.L))h+="<1O k=\'1P"+c.g+"\' 1U=\'"+5.U+"\'/>";6(5.S!=\'\'&&5.M!=f&&u.G(5.M))h+="<1O k=\'1W"+c.g+"\' 1U=\'"+5.S+"\'/>";h+="</r><r F=\'Z\'>"+1V+"</r></E>";$(\'#\'+b.l).2G(h);17(b.g+c.g);6(5.U!=\'\'&&5.L!=f){$(\'#1P\'+c.g).X(\'13\',b.g+c.g,5.L)}6(5.S!=\'\'&&5.M!=f){$(\'#1W\'+c.g).X(\'13\',b.g+c.g,5.M)}q[c.g]=w};e 1w=7(m){6($(\'#\'+m).o!=0){$(\'#\'+m).1s();z=/[0-9]*$/;q[1x(z.V(m)[0])]=f;1r()}};e 1u=7(m,h,w){6($(\'#\'+m).o!=0){$(\'#\'+m+\' .Z\').1X(h);z=/[0-9]*$/;q[1x(z.V(m)[0])]=w}};e 1C=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).1X("");c.g=0;c.d=0;q=1y 1a()};e 1i=7(14,C){O=\'\';6(B C==\'1e\'){2c(e K 2L C){6(B C[K]==\'1e\'){O+=1i(14+\'[\'+K+\']\',C[K])}p{O+=\'&\'+14+\'[\'+K+\']=\'+C[K]}}}p{O+=\'&\'+14+\'=\'+C}x(O)};e 1q=7(){D=u.2l.2A(b.l)[\'2T\'];2H=1a();2c(i=0;i<q.o;i++){6(q[i]!=f){D+=1i(\'q[\'+i+\']\',q[i])}}$(\'#\'+b.l+\' .19\').29(7(){z=/[0-9]*$/;D+=\'&2K[\'+z.V(n.k)[0]+\']=\';6($(n).P(\'1m\')){D+=\'2d\'}p{D+=\'2a\'}});x(D)};e 1h=7(m){z=/[0-9]*$/;1Y=z.V(m)[0];x(q[1Y])};e 1k=7(24){5=u.23(5,24)};e 18=7(j,1j){6($(\'#\'+j).P(\'N\')){6(1j){$(\'#\'+j+\'J\').y(\'s\',\'W\')}p{$(\'#\'+j+\'J\').y(\'s\',\'I\')}}p{6(1j){$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j+\'H\').y(\'s\',\'I\')}}};e 1r=7(){$(\'#\'+b.l+\' E\').29(7(){6($(n).P(\'19\')){6($(\'#\'+n.k+\' E.Q\').o==0){28(n.k)}p 6($(\'#\'+n.k+\' E.Q\').o==1){18(n.k,27)}p{18(n.k,T)}}p 6($(n).P(\'Q\')){6($(n).2U().2b(0).k==b.l){17(n.k)}}})};e 1g=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).2m({2j:\'16\',2f:\'Q\',1f:5.1f,2y:5.26,2B:/.*/i,2p:T,2C:\'.Z\',2M:27,2F:15,2D:7(D){1r()},})};1l=7(20){j=20.w;6($(\'#\'+j).P(\'N\')){$(\'#\'+j).21(\'N\').22(\'1m\');$(\'#\'+j+\'J\').y(\'s\',\'I\');$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j).21(\'1m\').22(\'N\');$(\'#\'+j+\'J\').y(\'s\',\'W\');$(\'#\'+j+\'H\').y(\'s\',\'I\')}};e 2e=7(){1z=2I(\'1Q=1S.1T.2N&2E=\'+b.l+\'&\'+1q());$.1B({1D:"1v",1t:5.1n,1E:T,w:1z,1Z:7(A){6(5.Y!=f&&u.G(5.Y))5.Y(A)},1R:7(A){6(5.10!=f&&u.G(5.10))5.10(A)},})};e 1o=7(1p,1F,1L){$.1B({1D:"1v",1t:5.1n,1E:T,w:{1Q:\'1S.1T.2S\',2Q:1F,1p:1p,2h:1L},1Z:7(A){6(5.11!=f&&u.G(5.11))5.11(A)},1R:7(A){6(5.12!=f&&u.G(5.12))5.12(A)},})};1g()};1A.2J=7(1b,w){x({1b:1b,2g:w,})}',62,181,'|||||options|if|function|||arguments|itemsId|counters|group|var|null|item|content||groupId|id|container|itemId|this|length|else|extraData|div|display|break|jQuery|case|data|return|css|re|msg|typeof|value|serialized|li|class|isFunction|OpOR|none|OpAND|key|onEdit|onDelete|cbOpAND|returned|hasClass|cbItem|string|imgDeleteUrl|true|imgEditUrl|exec|block|bind|onRequestSuccess|cbSortHandle|onRequestError|onGetPageSuccess|onGetPageError|click|prefix||cbSortable|addGroup|displayOperator|cbGroup|Array|owner|style|classOperator|object|opacity|applyNested|getExtraData|serializeData|visible|setOptions|onSwitchOperator|cbOpOR|ajaxUrl|getPage|requestNumber|getItems|manage|remove|url|editItem|POST|deleteItem|eval|new|datas|criteriaBuilder|ajax|clearItems|type|async|pageNumber|textOR|addItem|textAND|ul|fct|numberPerPage|classGroup|classItem|img|iImgEdit|ajaxfct|error|admin|rbuilder|src|itemContent|iImgDelete|html|extraDataNumber|success|event|removeClass|addClass|extend|optionsToSet|NestedSortableDestroy|classHelper|false|removeGroup|each|AND|get|for|OR|sendRequest|noNestingClass|param|numPerPage|send|accept|wrap|iNestedSortable|NestedSortable|clear|prepend|autoScroll|delete|helper|textHint|iCbItem|iCbGroup|doAction|switch|edit|helperclass|add|serialize|serializeRegExp|handle|onChange|requestName|nestingPxSpace|append|tmp|encodeURI|makeExtendedData|operator|in|ghosting|searchExecute|right|float|page|cbItemButtons|searchGetPage|hash|parent'.split('|'),0,{}))